CRAN Package Check Results for Package PKI

Last updated on 2022-07-06 15:49:06 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1-11 7.50 30.49 37.99 WARN
r-devel-linux-x86_64-debian-gcc 0.1-11 5.80 24.38 30.18 WARN
r-devel-linux-x86_64-fedora-clang 0.1-11 56.48 OK
r-devel-linux-x86_64-fedora-gcc 0.1-11 54.36 OK
r-devel-windows-x86_64 0.1-11 29.00 76.00 105.00 OK
r-patched-linux-x86_64 0.1-11 7.71 28.83 36.54 WARN
r-release-linux-x86_64 0.1-11 6.74 29.81 36.55 WARN
r-release-macos-arm64 0.1-11 28.00 WARN
r-release-macos-x86_64 0.1-11 29.00 OK
r-release-windows-x86_64 0.1-11 18.00 73.00 91.00 OK
r-oldrel-macos-arm64 0.1-11 27.00 WARN
r-oldrel-macos-x86_64 0.1-11 29.00 OK
r-oldrel-windows-ix86+x86_64 0.1-11 18.00 78.00 96.00 NOTE

Additional issues

M1mac M1mac rchk

Check Details

Version: 0.1-11
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     pki-x509.c:185:11: warning: 'EVP_PKEY_get1_RSA' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:188:8: warning: 'i2d_RSAPrivateKey' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:193:8: warning: 'i2d_RSAPrivateKey' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:201:8: warning: 'i2d_RSA_PUBKEY' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:206:8: warning: 'i2d_RSA_PUBKEY' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:399:11: warning: 'EVP_PKEY_get1_RSA' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:402:11: warning: 'RSA_public_encrypt' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:445:11: warning: 'EVP_PKEY_get1_RSA' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:448:11: warning: 'RSA_private_decrypt' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:486:2: warning: 'MD5' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:530:11: warning: 'EVP_PKEY_get1_RSA' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:533:9: warning: 'RSA_sign' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:571:11: warning: 'EVP_PKEY_get1_RSA' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:576:10: warning: 'RSA_verify' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:592:8: warning: 'd2i_RSAPrivateKey' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:596:2: warning: 'EVP_PKEY_assign' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:618:11: warning: 'd2i_RSA_PUBKEY' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:622:5: warning: 'EVP_PKEY_assign' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:639:11: warning: 'RSA_new' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:645:13: warning: 'RSA_free' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:649:6: warning: 'RSA_generate_key_ex' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:651:6: warning: 'RSA_free' is deprecated [-Wdeprecated-declarations]
     pki-x509.c:659:5: warning: 'EVP_PKEY_assign' is deprecated [-Wdeprecated-declarations]
Flavor: r-devel-linux-x86_64-debian-clang

Version: 0.1-11
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     pki-x509.c:185:5: warning: ‘EVP_PKEY_get1_RSA’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:188:9: warning: ‘i2d_RSAPrivateKey’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:193:9: warning: ‘i2d_RSAPrivateKey’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:201:9: warning: ‘i2d_RSA_PUBKEY’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:206:9: warning: ‘i2d_RSA_PUBKEY’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:399:5: warning: ‘EVP_PKEY_get1_RSA’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:402:5: warning: ‘RSA_public_encrypt’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:445:5: warning: ‘EVP_PKEY_get1_RSA’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:448:5: warning: ‘RSA_private_decrypt’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:486:9: warning: ‘MD5’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:530:5: warning: ‘EVP_PKEY_get1_RSA’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:533:5: warning: ‘RSA_sign’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:571:5: warning: ‘EVP_PKEY_get1_RSA’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:576:23: warning: ‘RSA_verify’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:592:9: warning: ‘d2i_RSAPrivateKey’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:596:9: warning: ‘EVP_PKEY_assign’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:618:5: warning: ‘d2i_RSA_PUBKEY’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:622:5: warning: ‘EVP_PKEY_assign’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:639:5: warning: ‘RSA_new’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:645:13: warning: ‘RSA_free’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:649:9: warning: ‘RSA_generate_key_ex’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:651:13: warning: ‘RSA_free’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
     pki-x509.c:659:5: warning: ‘EVP_PKEY_assign’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
Flavors: r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.1-11
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     pki-x509.c:486:2: warning: 'CC_MD5' is deprecated: first deprecated in macOS 10.15 - This function is cryptographically broken and should not be used in security contexts. Clients should migrate to SHA256 (or stronger). [-Wdeprecated-declarations]
Flavors: r-release-macos-arm64, r-oldrel-macos-arm64

Version: 0.1-11
Check: installed package size
Result: NOTE
     installed size is 5.6Mb
     sub-directories of 1Mb or more:
     libs 5.5Mb
Flavor: r-oldrel-windows-ix86+x86_64